> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vultlocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Logout and revoke refresh token

> Revokes the refresh token to prevent future token refreshes



## OpenAPI

````yaml /olive-openapi.json post /admin/logout
openapi: 3.0.0
info:
  description: >-
    API Gateway for OLIVE NFC Card Payment System - Comprehensive payment, card
    management, agent operations, and admin authentication. All /api/v1 routes
    require authentication using either API Key or JWT token.
  title: OLIVE NFC Card Payment API
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    email: support@olive.sl
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://olive-gateway-a6ba.onrender.com/api/v1
security: []
paths:
  /admin/logout:
    post:
      tags:
        - Admin
      summary: Logout and revoke refresh token
      description: Revokes the refresh token to prevent future token refreshes
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/handler.LogoutRequest'
        description: Refresh token to revoke
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
components:
  schemas:
    handler.LogoutRequest:
      type: object
      required:
        - refresh_token
      properties:
        refresh_token:
          type: string

````